<!DOCTYPE html>
<html xmlns:th="http://www.w3.org/1999/xhtml" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    ...
</head>
<body>
<div class="d-flex flex-column flex-md-row align-items-center px-md-4 mb-3 bg-white border-bottom shadow-sm"
     th:fragment="header">


    <a class="navbar-brand mr-0 mr-md-2 " href="/" aria-label="Muzeum">
        <svg version="1.0" xmlns="http://www.w3.org/2000/svg"
             width="30.000000pt" height="30.000000pt" viewBox="0 0 1400.000000 1400.000000"
             preserveAspectRatio="xMidYMid meet">
            <g transform="translate(0.000000,1400.000000) scale(0.100000,-0.100000)"
               fill="#000000" stroke="none">
                <path d="M810 12753 c0 -5 0 -2661 0 -5903 l0 -5895 2970 -3 2970 -2 0 1773 0
                1772 -1447 2488 c-796 1368 -1452 2486 -1458 2484 -7 -3 -11 -799 -13 -2490
                l-2 -2487 572 -2 573 -3 0 -120 0 -120 -1313 -3 -1313 -2 3 122 3 123 568 3
                567 2 0 2715 0 2715 -570 0 -570 0 0 125 0 125 1558 0 1557 0 26 -48 c15 -26
                304 -519 643 -1096 l616 -1050 0 2392 0 2392 -2970 0 c-1633 0 -2970 -3 -2970
                -7z"/>
                <path d="M7250 10600 c0 -1188 4 -2160 8 -2160 5 0 410 389 901 865 l892 865
                1004 0 1005 0 0 -2965 0 -2965 -1002 2 -1003 3 0 1863 c0 1024 -3 1861 -7
                1860 -4 -2 -410 -374 -902 -828 l-896 -825 3 -2680 2 -2680 2973 -3 2972 -2 0
                5905 0 5905 -2975 0 -2975 0 0 -2160z"/>
            </g>
        </svg>
    </a>
    <h5 class="my-0 mr-md-auto font-weight-normal" href="/" th:text="#{header.name}">Langweilův model interaktivní
        projekce </h5>


    <!--/* Anonymour user */-->
    <a sec:authorize="isAnonymous()" class="btn btn-outline-primary" th:href="@{/login}" th:text="#{menu.login}">Sign
        in</a>


    <!--/* Logged in user */-->
    <nav sec:authorize="isAuthenticated()" class="my-2 my-md-0 mr-md-3 dropdown">
        <a class="p-2 nav-menu btn" th:classappend="${activeTab == 'main' ? 'checked':''}" th:href="@{/main}"
           th:text="#{menu.main}">Main</a>
        <a th:if="${#authorization.expression('hasRole(''ADMIN'')')}" class="p-2 nav-menu btn" th:classappend="${activeTab == 'users' ? 'checked':''}" th:href="@{/users}"
           th:text="#{menu.users}">Users</a>
        <a class="p-2 nav-menu btn" th:classappend="${activeTab == 'documentation' ? 'checked':''}"
           th:href="@{/documentation}" th:text="#{menu.documentation}">Documentation</a>
        <a class="p-2 nav-menu btn" th:classappend="${activeTab == 'logs' ? 'checked':''}"
           th:href="@{/logs}" th:text="#{menu.logs}">Logs</a>
        <a class="p-2 nav-menu btn dropdown-toggle" th:classappend="${activeTab == 'control' ? 'checked':''}"
           role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true"
           aria-expanded="false" th:text="#{menu.control}">Control</a>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <a class="dropdown-item" th:href="@{/control}" th:text="#{menu.control.main}">Main control</a>
            <a th:if="${#authorization.expression('hasRole(''ADMIN'')')}" class="dropdown-item" th:href="@{/control/autonomous}" th:text="#{menu.control.autonomous}">Autonomous</a>
            <a th:if="${#authorization.expression('hasRole(''ADMIN'')')}" class="dropdown-item" th:href="@{/control/videoedit}" th:text="#{menu.control.edit}">Edit</a>
        </div>
        <!--        </div>-->
    </nav>

    <div class="divider-vertical"></div>

    <div class=" mr-md-6">
        <span class="text-muted" th:text="#{lang.name}"> </span>&nbsp
        <!--                <span>&nbsp</span>-->
        <select class="btn btn-sm btn-outline-secondary" id="locales">
            <option class="btn btn-sm"  th:unless="${#locale.toString() == 'cz' }" value="en" th:text="#{lang.eng}"></option>
            <option class="btn btn-sm"  value="cz" th:text="#{lang.cz}"></option>
            <option class="btn btn-sm"  th:if="${#locale.toString() == 'cz' }" value="en" th:text="#{lang.eng}"></option>
        </select>
    </div>

    <div class="divider-vertical"></div>

    <a sec:authorize="isAuthenticated()" class="my-2 my-md-0 mr-md-3" th:text="#{menu.loggedas}">You are logged as</a><b
        class="my-2 my-md-0 mr-md-3" th:text="${name}">unkown</b>

    <a sec:authorize="isAuthenticated()" class="btn btn-outline-primary" id="logout" th:text="#{menu.logout}">Log
        out</a>

    <script sec:authorize="isAuthenticated()">
        document.querySelector('#logout').addEventListener('click', () => {
            document.cookie = 'Authorization=; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
            document.location.href = "/";
        })
    </script>

</div>
</body>
</html>